## uranium 3.1.0

=== debian/changelog ===
uranium (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Wed, 17 Jan 2018 08:32:19 +0100

uranium (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Updated to upstream release 3.0.3.
  * Upstream license change from AGPL-3+ to LGPL-3+.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Nov 2017 09:36:59 +0000

uranium (2.5.0-1) unstable; urgency=medium

  * Initial Debian release. See #706656.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 07:36:17 +0000
