=== debian/control ===
Source: uranium
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 python3-all,
 gettext,
 python3-numpy, python3-scipy,
 pylint3, python3-pytest,
 python3-pyqt5,
Standards-Version: 4.1.3
Section: python
X-Python3-Version: >= 3.5
Homepage: https://github.com/Ultimaker/Uranium
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/uranium.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/uranium.git

Package: python3-uranium
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-numpy, python3-scipy, python3-serial,
 python3-pyqt5, python3-pyqt5.qtopengl, python3-pyqt5.qtquick, python3-pyqt5.qtsvg,
 qml-module-qtqml-models2, qml-module-qtquick-dialogs,
 python3-arcus (>= 3.1.0)
Recommends: python3-stl
Provides:
 ${python3:Provides}
XB-Python3-Version:
 ${python3:Versions}
Description: application framework for Cura (Python library)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains the base library for Python 3.

Package: uranium-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-uranium (= ${binary:Version})
Description: application framework for Cura (plugins)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains GUI plugins.

Package: uranium-tools
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: application framework for Cura (development tools)
 Uranium is a Python framework for building 3D printing related applications.
 .
 It is mainly used by Cura.
 .
 This package contains related development tools and cmake scripts.
