=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1

%:
	dh $@ --buildsystem=cmake --with python3 --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DGETTEXT_MSGINIT_EXECUTABLE=msginit -DGETTEXT_MSGCONV_EXECUTABLE=msgconv -DGETTEXT_MSGMERGE_EXECUTABLE=msgmerge -DCURA_BINARY_DATA_DIRECTORY=/usr/share/uranium

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	# Don't run pytest, it will fail
