## uranium 3.3.0

=== debian/changelog ===
uranium (3.3.0-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Require at least PyQt 5.10 to address upstream bug
    https://github.com/Ultimaker/Cura/issues/4080
  [Gianfranco Costamagna]
  * Build-depend on pylint which is now python3, not pylint3.
    Closes: #946532

 -- Gregor Riepl <onitake@gmail.com>  Wed, 11 Dec 2019 08:34:40 +0100

uranium (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:04:10 +0200

uranium (3.2.1-1) unstable; urgency=medium

  * New upstream release 3.2.1
  * Set Multi-Arch:foreign flag on tools package

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 09:01:12 +0100
