=== debian/control ===
--- 
+++ 
@@ -6,22 +6,23 @@
  python3-all,
  gettext,
  python3-numpy, python3-scipy,
- pylint3, python3-pytest,
+ pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: python
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/Uranium
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/uranium.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/uranium.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
+Vcs-Git: https://salsa.debian.org/3dprinting-team/uranium.git
 
 Package: python3-uranium
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-numpy, python3-scipy, python3-serial,
- python3-pyqt5, python3-pyqt5.qtopengl, python3-pyqt5.qtquick, python3-pyqt5.qtsvg,
+ python3-pyqt5 (>= 5.10), python3-pyqt5.qtopengl (>= 5.10),
+ python3-pyqt5.qtquick (>= 5.10), python3-pyqt5.qtsvg (>= 5.10),
  qml-module-qtqml-models2, qml-module-qtquick-dialogs,
- python3-arcus (>= 3.1.0)
+ python3-arcus (>= 3.3.0)
 Recommends: python3-stl
 Provides:
  ${python3:Provides}
@@ -47,6 +48,7 @@
 
 Package: uranium-tools
 Architecture: all
+Multi-Arch: foreign
 Section: devel
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Description: application framework for Cura (development tools)
