=== debian/changelog ===
uranium (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove obsolete X-Python3-Version field.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 10:47:52 +0100
