=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-pyqt5,
 Standards-Version: 4.1.4
 Section: python
-X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
 Vcs-Git: https://salsa.debian.org/3dprinting-team/uranium.git
