=== debian/changelog ===
uranium (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * DH 13.
  * Depend on python3-cryptography. (Closes: #958943)
  * Mark autopkgtest as superficial. (Closes: #974497)
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 11:42:02 +0100

uranium (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:31:25 +0200
