=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: uranium
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+ Christoph Berg <myon@debian.org>,
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.12), dh-python,
  python3-all,
  gettext,
  python3-numpy, python3-scipy,
  pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Section: python
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
@@ -17,6 +18,7 @@
 Package: python3-uranium
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-cryptography,
  python3-numpy, python3-scipy, python3-serial,
  python3-pyqt5 (>= 5.10), python3-pyqt5.qtopengl (>= 5.10),
  python3-pyqt5.qtquick (>= 5.10), python3-pyqt5.qtsvg (>= 5.10),
