## uranium 4.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 include(GNUInstallDirs)
 
 find_package(PythonInterp 3 REQUIRED)
+
+message("Using python version ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
 
 # # Checks using pylint
 # Note that we use exit 0 here to not mark the build as a failure on check failure
@@ -45,6 +47,7 @@
 # Build Translations
 CREATE_TRANSLATION_TARGETS()
 
+
 if(EXISTS /etc/debian_version)
     install(DIRECTORY UM DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages)
 else()
