=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-numpy, python3-scipy,
  pylint, python3-pytest,
  python3-pyqt5,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Homepage: https://github.com/Ultimaker/Uranium
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/uranium
