=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/Uranium-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/Ultimaker/Uranium/tags .*/(\d\.\S+)\.tar\.gz
