=== debian/changelog ===
uranium (5.0.0-7) unstable; urgency=medium

  * Patch invalid string escapes. Closes: #1087159

 -- Gregor Riepl <onitake@gmail.com>  Thu, 13 Feb 2025 10:57:28 +0000

uranium (5.0.0-6) unstable; urgency=medium

  * Replace numpy.lib.pad with numpy.pad to make it compatible with
    numpy 2.0. Closes: #1095608

 -- Gregor Riepl <onitake@gmail.com>  Mon, 10 Feb 2025 08:50:48 +0100

uranium (5.0.0-5) unstable; urgency=medium

  * Replace usage of deprecated imp module. (Closes: #1074752)
  * Use Uranium ColorImage class. (Closes: #1074239)

 -- Gregor Riepl <onitake@gmail.com>  Tue, 09 Jul 2024 10:42:06 +0200

uranium (5.0.0-4) unstable; urgency=medium

  * Add explicit python3-all test suite dependency (Closes: #1067144)

 -- Gregor Riepl <onitake@gmail.com>  Thu, 21 Mar 2024 12:20:48 +0100

uranium (5.0.0-3) unstable; urgency=medium

  * Set DEB_PYTHON_INSTALL_LAYOUT=deb_system, thanks Timo Röhling!
    (Closes: #1042157)

 -- Christoph Berg <myon@debian.org>  Fri, 28 Jul 2023 09:50:15 +0000

uranium (5.0.0-2) unstable; urgency=medium

  * Compile against current python version. (Closes: #1031680)

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:37:37 +0000

uranium (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0.
  * Refresh patches.
  * Bump dependencies from pyqt5 to pyqt6.
  * Bump version of arcus dependency.
  * Don't depend on python3-pyqt6.qtopengl, that's in python3-pyqt6 now.

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 25 May 2022 11:02:45 -0600
