=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1
# Don't install to /usr/local
export DEB_PYTHON_INSTALL_LAYOUT=deb_system

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DGETTEXT_MSGINIT_EXECUTABLE=msginit -DGETTEXT_MSGCONV_EXECUTABLE=msgconv -DGETTEXT_MSGMERGE_EXECUTABLE=msgmerge -DCURA_BINARY_DATA_DIRECTORY=/usr/share/uranium -DPython_VERSION=$(shell py3versions -vd)

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	# Don't run pytest, it will fail
